complexType "CashDeliveryReturn"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | assetReference?, nominalAmount?, valueDate?, marketValue?, haircut?, collateralValue?
</...>

Content Model Elements (6):

  assetReference (in cash defined in ProposedCollateralDeliveryReturn complexType),
  collateralValue (in cash defined in ProposedCollateralDeliveryReturn complexType),
  haircut (in cash defined in ProposedCollateralDeliveryReturn complexType),
  marketValue (in cash defined in ProposedCollateralDeliveryReturn complexType),
  nominalAmount (in cash defined in ProposedCollateralDeliveryReturn complexType),
  valueDate (in cash defined in ProposedCollateralDeliveryReturn complexType)

All Direct / Indirect Based Elements (1):

  cash (defined in ProposedCollateralDeliveryReturn complexType)

Known Usage Locations

- As direct type of elements (1):
  cash (defined in ProposedCollateralDeliveryReturn complexType)

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="CashDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="assetReference" type="AssetReference"/> <xsd:element minOccurs="0" name="nominalAmount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/> <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/> <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
assetReference

  Type: | AssetReference, empty content

  Refers to the asset which specifies the currency of the cash being delivered or returned.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assetReference" type="AssetReference"/>

collateralValue

  Type: | NonNegativeDecimal, simple content

  This is the value of the proposed collateral after the application of the haircut.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/>

haircut

  Type: | xsd:decimal, predefined, simple content

  The amount to which the collaterals market value will be discounted to take into account the ability to realize the value of that collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/>

marketValue

  Type: | NonNegativeDecimal, simple content

  The value of the proposed collateral movement prior to the application of any haircut amount.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/>

nominalAmount

  Type: | NonNegativeDecimal, simple content

  The amount of cash to be moved.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nominalAmount" type="NonNegativeDecimal"/>

valueDate

  Type: | xsd:date, predefined, simple content

  The date on which the proposed collateral will be settled .
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.